module RainforestQA
  class APITimeoutError < StandardError; end
  class APIConfigurationError < StandardError; end

  class APIResponseError < StandardError

    attr_reader :message, :status
    def initialize(body)
      @message, @status = parse_error_body(body)
      super(message)
    end

    private
    def parse_error_body(body)
      if body.nil?
        ['', nil]
      elsif body[:error]
        [body[:error], body[:success]]
      end
    end
  end
end