require 'rainforestqa/utils'

module RainforestQA
  module Modules
    module SiteEnvironments
      include RainforestQA::Utils

      def site_environments(options = {})
        perform(:get, "site_environments", options)
      end

      def create_site_environment(options = {})
        perform(:post, "site_environments", options)
      end

      def update_site_environment(id, attributes = {})
        perform(:put, "site_environments/#{id}", attributes)
      end

      def site_environments_for(site_id, options = {})
        site_environments = perform(:get, "site_environments", options)
        site_environments[:site_environments].select do | se |
          se[:site_id] == site_id
        end
      end

    end
  end
end