require 'faraday'
require 'json'


module RainforestQA
  module ResponseExt
    class RaiseErrorFromJson < Faraday::Response::Middleware
      def on_complete(response)
        code = response.status.to_i
        body = JSON.parse(response.body, :symbolize_names => true)

        # Error for invalid codes
        if !(200..300).include?(code)
          fail(RainforestQA::APIResponseError.new(body))
        else
          # How did we get here?
        end
      end
    end
  end
end

Faraday::Response.register_middleware :raise_error_rfqa_from_json => RainforestQA::ResponseExt::RaiseErrorFromJson